Skip to main content
GET
/
service
/
payments
/
{paymentId}
/
status
Get Payment Status
curl --request GET \
  --url https://api.example.com/service/payments/{paymentId}/status \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "amount": 123,
    "currency": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "invoiceId": "<string>",
    "customerId": "<string>",
    "failureReason": "<string>",
    "settledAt": "<string>"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

paymentId
string
required

Unique identifier of the payment to retrieve

Response

Payment status retrieved successfully

data
object
required
code
enum<string>
Available options:
health_status_ok,
health_status_error,
validation_error,
bad_request,
unauthorized,
forbidden,
not_found,
method_not_allowed,
internal_server_error,
organization_not_found,
cannot_access_organization,
api_key_not_found,
resource_already_exists
message
string